/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { GeographicMapSeriesHostDescription } from "./GeographicMapSeriesHostDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class GeographicSymbolSeriesDescription extends GeographicMapSeriesHostDescription {
    constructor() {
        super();
        this.by = null;
        this.bz = null;
        this.b4 = null;
        this.b1 = null;
        this.b3 = null;
        this.b0 = null;
        this.b2 = null;
        this.bw = 0;
    }
    get_type() {
        return "GeographicSymbolSeries";
    }
    get latitudeMemberPath() {
        return this.by;
    }
    set latitudeMemberPath(a) {
        this.by = a;
        this.e("LatitudeMemberPath");
    }
    get longitudeMemberPath() {
        return this.bz;
    }
    set longitudeMemberPath(a) {
        this.bz = a;
        this.e("LongitudeMemberPath");
    }
    get markerType() {
        return this.b4;
    }
    set markerType(a) {
        this.b4 = a;
        this.e("MarkerType");
    }
    get markerCollisionAvoidance() {
        return this.b1;
    }
    set markerCollisionAvoidance(a) {
        this.b1 = a;
        this.e("MarkerCollisionAvoidance");
    }
    get markerTemplateRef() {
        return this.b3;
    }
    set markerTemplateRef(a) {
        this.b3 = a;
        this.e("MarkerTemplateRef");
    }
    get markerBrush() {
        return this.b0;
    }
    set markerBrush(a) {
        this.b0 = a;
        this.e("MarkerBrush");
    }
    get markerOutline() {
        return this.b2;
    }
    set markerOutline(a) {
        this.b2 = a;
        this.e("MarkerOutline");
    }
    get maximumMarkers() {
        return this.bw;
    }
    set maximumMarkers(a) {
        this.bw = a;
        this.e("MaximumMarkers");
    }
}
GeographicSymbolSeriesDescription.$t = markType(GeographicSymbolSeriesDescription, 'GeographicSymbolSeriesDescription', GeographicMapSeriesHostDescription.$);
